## Get pickup point

### cURL

```
curl --request GET \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-inventory/inventory/pickup-point/{itemId} \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-inventory/inventory/pickup-point/{itemId}"

headers = {"x-site-context": "<x-site-context>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-inventory/inventory/pickup-point/{itemId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### HTTP Responses

- **200**: Successful response
- **400**: Bad request
- **404**: Not found
- **500**: Server error

### Sample Response

```json
{
  "query": {
    "limit": 10,
    "offset": 0,
    "count": 3
  },
  "locations": [
    {
      "channel": [
        12
      ],
      "isActive": true,
      "isDefault": false,
      "name": "ABC MANHATTEN STORE",
      "address": {
        "street1": "888 Broadway",
        "street2": "<string>",
        "zipCode": "10003",
        "city": "New York",
        "state": "NY",
        "country": "USA",
        "phone": "<array>"
      },
      "pickup": false,
      "type": "60a5844452e07600089d2cb7",
      "kind": "Warehouse",
      "locationId": 102,
      "__v": 0,
      "coordinates": {
        "latitude": 40.738417,
        "longitude": -73.98985
      }
    }
  ]
}
```

```json
{
  "code": "<string>",
  "message": "<string>"
}
```

```json
{
  "code": "ITEMS_NOT_FOUND",
  "message": "Items not found"
}
```

### Headers

- **x-site-context**: (string) required - A JSON object containing account, channel, stage, and date to pull from.

Example:
```json
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
```

### Path Parameters

- **itemId**: (string) required - Minimum length: `1`

Example:
`"1597422"`

### Query Parameters

- **Search parameters**: (object)

### Response

- **200**: application/json - Get Pickup points

- **query**: (object)

- **locations**: (array of objects)
